Subject: Re: bug#42352: 27.0.91; Emacs daemon crashes after "Fix Arabic shaping" change 30a7ee505aca3cc285699bae1630a28185519d99

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Jul 2020 14:39:00 +0300

On July 14, 2020 2:05:01 PM GMT+03:00, Teemu Likonen <[email-masked]> wrote:
> Eli Zaretskii [2020-07-14T13:20:34+03] wrote:
> 
> > Also, I wonder how you came to be affected by that change. Did you
> by
> > any chance set bidi-display-reordering to nil in your buffers?
> 
> Yes, about four years ago I set bidi-display-reordering nil in my
> Emacs
> init files. Now it seems to me that I used a wrong variable for what I
> wanted to do. I should have set bidi-paragraph-direction left-to-right
> which I did now.
> 
> It looks like Emacs is not crashing anymore so this was all my
> mistake.
> Thanks for mentioning bidi-display-reordering. I'm closing this bug.

Thanks.

I'd still like to know the version of HarfBuzz that you have, though, as it shouldn't have crashed for this scenario.